%define upstream_name	 GraphViz
%define upstream_version 2.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Carp) >= 1.10.0
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(IO::Dir) >= 1.40.0
BuildRequires: perl(IO::File) >= 1.100.0
BuildRequires: perl(IPC::Run) >= 0.600.0
BuildRequires: perl(LWP::Simple) >= 6.0.0
BuildRequires: perl(Parse::RecDescent) >= 1.965.1
BuildRequires: perl(Pod::Usage) >= 1.160.0
BuildRequires: perl(Test::More) >= 1.1.14
BuildRequires: perl(Test::Pod) >= 1.480.0
BuildRequires: perl(Time::HiRes) >= 1.510.0
BuildRequires: perl(XML::Twig) >= 3.380.0
BuildRequires: perl(XML::XPath) >= 1.130.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: fonts-ttf-dejavu
BuildRequires: graphviz
BuildArch:  noarch

Requires:   graphviz
%{?perl_default_filter}

%description
This module provides an interface to layout and image generation of
directed and undirected graphs in a variety of formats (PostScript, PNG,
etc.) using the "dot", "neato" and "twopi" programs from the GraphViz
project (http://www.graphviz.org/ or
http://www.research.att.com/sw/tools/graphviz/). 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/GraphViz.pm
%{perl_vendorlib}/GraphViz
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.200.0-3pclos2017
- rebuild against updates

